> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# shipmentfolder

> ShipmentFolderProvider creates a flat or tree list based on the table - s_picture_folder

## "shipmentfolder" MDO List

ShipmentFolderProvider creates a flat or tree list based on the table: s\_picture\_folder

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ShipmentFolderProvider">ShipmentFolderProvider</see> class.
The name of the MDO list is 'shipmentfolder'.

## Additional Attributes

| Description   | Name      | Example Value |
| ------------- | --------- | ------------- |
| Use hierarchy | hierarchy | true          |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/shipmentfolder
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("shipmentfolder", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name           | StyleHint | ExtraInfo |
| -- | -------------- | --------- | --------- |
| -1 | (No Selection) |           |           |

## Related MDO Lists

* "shipmentfolderheadings"
* "shipmentfolderheadingswithallitem"
* "shipmentfolderheadingswithallitemwithnoselection"
* "shipmentfolderheadingswithnoselection"
* "shipmentfolderwithallitem"
* "shipmentfolderwithallitemwithnoselection"
* "shipmentfolderwithnoselection"


## Related topics

- [MailingFolders](/en/api/archive-providers/reference/mailingfolders.md)
- [MailingsAndFolders](/en/api/archive-providers/reference/mailingsandfolders.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
